/*
 * Copyright 2021 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.google.appengine.api.users;

/**
 * {@code UserServiceFailureException} is thrown when any unknown
 * error occurs while communicating with the user service.
 *
 */
public class UserServiceFailureException extends RuntimeException {
  private static final long serialVersionUID = 7003158128833441665L;

  public UserServiceFailureException(String message) {
    super(message);
  }

  public UserServiceFailureException(String message, Throwable cause) {
    super(message, cause);
  }
}
